- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization scopes
- Try it!
Creates a new BuildTrigger.
Note: This method only creates triggers in the "global" region when using the legacy resource path projects/{projectId}/triggers. For all regions, use the regional resource path: projects/{projectId}/locations/{location}/triggers.
HTTP request
POST https://cloudbuild.googleapis.com/v1/projects/{projectId}/triggers The URLs use gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
projectId |
Required. ID of the project for which to configure automatic builds. |
Query parameters
| Parameters | |
|---|---|
parent |
The parent resource where this trigger will be created. Format: Authorization requires the following IAM permission on the specified resource
|
Request body
The request body contains an instance of BuildTrigger.
Response body
If successful, the response body contains a newly created instance of BuildTrigger.
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/cloud-platform
For more information, see the Authentication Overview.